package org.fsou.namematch;

/**
 * Matcher of two names.
 * @author Alexander Yevstafyev
 * @version 1.0.0
 */
public interface INameMatcher {
	
	/**
	 * Matches two names.
	 * @param name1 First name to match
	 * @param name2 Second name to match
	 * @return Result of matching of two names
	 */
	IMatchResult matchNames(String name1, String name2);
}